<?php

session_start();
session_cache_limiter('private');
include('pdf/MC_TABLE.php');
$com = "I";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
require_once('RA10200_CL.php');//Clase EMPLEADO
$objRan = new ranChoS($data);
$objdetRan = new detRan($data);
class PDF extends PDF_MC_Table
{
	//Cabecera de página
	function Header()
	{
	    //Logo
	    include("DYIM_VER.php");
	    //Arial bold 14
	    $this->SetFont('Arial','B',10);
	
	    //Título
			$this->Cell(200,3,'RANCHO',0,1,'C');
	    //Salto de línea
	    $this->Ln(3);
		//$this->Cell(10,5,'',0,'C');//centra
		$this->SetFont('ARIAL','',8);//establece tamaño de letra
		$this->SetFillColor(248);
		$this->Cell(20,3,'FECHA',1,'0','C',1);
		$this->Cell(50,3,'CODIGO',1,'0','L',1);
		$this->Cell(50,3,'DESCRIPCION',1,'0','L',1);
		$this->Cell(50,3,'IMPORTE',1,'1','L',1);
	}
	//Pie de página
	function Footer()	{
	    //Posición: a 1,5 cm del final
	    $this->SetY(-15);
	    //Arial italic 8
	    $this->SetFont('Arial','I',8);
	    //Número de página
	    $this->Cell(0,10, $this->PageNo().'/{nb}',0,0,'C');
	}
}


$pdf=new PDF('L','mm','Letter');
$pdf->AddPage(); 
$pdf->SetFillColor(200);
 $sq_emp=$objRan->cat_getData();				 
		while($dt_rej=mysqli_fetch_array($sq_emp)){
		$pdf->SetFillColor(200);
			 $pdf->Cell(20,3,$dt_rej['id_ranchos'],0,'0','L',1);
			 $pdf->Cell(50,3,$dt_rej['nom_ran'],0,'0','L',1);
			 $pdf->Cell(50,3,$dt_rej['des_ran'],0,'1','L',1);	
			$pdf->SetFillColor(248);
			 $pdf->Cell(20,3,'FECHA',0,'0','L',1);
			 $pdf->Cell(50,3,'CODIGO',0,'0','L',1);
			 $pdf->Cell(20,3,'DESCRIPCION',0,'0','L',1);
			 $pdf->Cell(20,3,'IMPORTE',0,'1','L',1);																						
			    $objdetRan->resetData(array("id_ranchos"=>$dt_rej['id_ranchos']));
				$sq_det=$objdetRan->busByEnc1();
				while($dt_det=mysqli_fetch_array($sq_det)){
				 $pdf->Cell(20,3,$dt_det['id_dedran'],0,'0','L',1);
				 $pdf->Cell(50,3,$dt_det['des_corral'],0,'0','L',1);
				 $pdf->Cell(20,3,$dt_det['cantidad'],0,'0','R',1);
				 $pdf->Cell(20,3,'',0,'1','R',1);																							
				}
		}			
$pdf->Output("rancho.pdf","D");
?> 
